Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## jason.environment
Enum TimeSteppedEnvironment.OverActionsPolicy

    java.lang.Object
      java.lang.Enum<TimeSteppedEnvironment.OverActionsPolicy>
          jason.environment.TimeSteppedEnvironment.OverActionsPolicy

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TimeSteppedEnvironment.OverActionsPolicy>

Enclosing class:
  TimeSteppedEnvironment

    public static enum TimeSteppedEnvironment.OverActionsPolicy

extends java.lang.Enum<TimeSteppedEnvironment.OverActionsPolicy>

Policy used when a second action is requested and the agent still has another action pending execution

Enum Constant Summary
`failSecond` Fail the second action
`ignoreSecond` Ignore the second action, it is considered as successfully executed
`queue` Queue the second action request for future execution

Method Summary
`static TimeSteppedEnvironment.OverActionsPolicy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TimeSteppedEnvironment.OverActionsPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### queue

    public static final TimeSteppedEnvironment.OverActionsPolicy queue

  Queue the second action request for future execution

### failSecond

    public static final TimeSteppedEnvironment.OverActionsPolicy failSecond

  Fail the second action

### ignoreSecond

    public static final TimeSteppedEnvironment.OverActionsPolicy ignoreSecond

  Ignore the second action, it is considered as successfully executed

Method Detail

### values

    public static TimeSteppedEnvironment.OverActionsPolicy[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TimeSteppedEnvironment.OverActionsPolicy c : TimeSteppedEnvironment.OverActionsPolicy.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TimeSteppedEnvironment.OverActionsPolicy valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD